**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/25.3/users/update-users/update-multiple-users

# Update Multiple Users

<Aside>
Beginning in v18.1, Admins create and manage users with `user__sys` object records. Unless you are updating domain-only users, we strongly recommend using the [Update Object Records](/quality/vault-api/api-reference/25.3/vault-objects/update-object-records) endpoint to update users.
</Aside>

Update information for multiple users at once.

*   The maximum input file size is 1GB.
*   The values in the input must be UTF-8 encoded.
*   CSVs must follow the [standard format](https://datatracker.ietf.org/doc/html/rfc4180).
*   The maximum batch size is 500.

<Endpoint path="/api/{version}/objects/users" method="PUT" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` or `text/csv` |
| `Accept` | `application/json` (default) or `text/csv` |
</FieldTable>

## Body Parameters

Prepare a JSON or CSV input file. You can include any editable user field and value in the input. Note this endpoint does not support the `security_profile` attribute for updating profiles.

<FieldTable>
| Name | Description |
| --- | --- |
| `id`<Requiredness type="required" /> | The ID of the user to update. |
| `vault_membership`<Requiredness type="optional" /> | See [Vault Membership](/quality/vault-api/api-reference/25.3/users/update-users) for how to configure. |
</FieldTable>

 

<DownloadButton href="sample-files/vault-update-users-sample-csv-input.csv" label="Download Input File" />

## Request

<CodeExample title="">
```bash
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
-H "Accept: text/csv" \
--data-binary @"C:\Vault\Users\update_users.csv" \
https://myvault.veevavault.com/api/v12.0/objects/users
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
   "responseStatus":"SUCCESS",
   "data":[
      {
         "responseStatus":"SUCCESS",
         "id":"12021"
      },
      {
         "responseStatus":"SUCCESS",
         "id":"12022"
      },
      {
         "responseStatus":"SUCCESS",
         "id":"12023"
      },
      {
         "responseStatus":"FAILURE",
         "id":"22124",
         "errors":[
            {
               "type":"INVALID_DATA",
               "message":"Error message describing why this user was not updated."
            }
         ]
      }
   ]
}
```
</CodeExample>

---

**Previous:** [Update My User](/quality/vault-api/api-reference/25.3/users/update-users/update-my-user)  
**Next:** [Disable User](/quality/vault-api/api-reference/25.3/users/disable-user)